com.h3c.util.snmp.command

## Class SnmpReadListCommand<D>

- java.lang.Object
- - com.h3c.util.snmp.command.Command<I>
  - - com.h3c.util.snmp.command.ReadCommand<Oid,List<Pair<Oid,D>>,List<Pair<Oid,SnmpField>>>
    - - com.h3c.util.snmp.command.SnmpReadListCommand<D>

- Type Parameters:
    `D` - Type of the command's data.

      public class SnmpReadListCommand<D>
      extends ReadCommand<Oid,List<Pair<Oid,D>>,List<Pair<Oid,SnmpField>>>

  Simple Network Management Protocol (SNMP) command which reads a list of data. Command coding is in "Abstract Syntax Notation One (ASN.1)" format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpReadListCommand(Oid identity, Decoder<D,SnmpField> decoder)` Creates a new SNMP unidirectional list command (Read-only attribute list).
    `SnmpReadListCommand(Oid identity, Decoder<D,SnmpField> decoder, int maxRepetitions)` Creates a new SNMP unidirectional list command (Read-only attribute list).

  - ### Method Summary

    - ### Methods inherited from class com.h3c.util.snmp.command.ReadCommand

      `get, getDecoder`

    - ### Methods inherited from class com.h3c.util.snmp.command.Command

      `equals, getIdentity, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpReadListCommand

          public SnmpReadListCommand(Oid identity,
                             Decoder<D,SnmpField> decoder)
                              throws NullPointerException

      Creates a new SNMP unidirectional list command (Read-only attribute list).
      Parameters:
        `identity` - Command's identity.
        `decoder` - Command decoder used to map from modeled data to command execution format.
      Throws:
        `NullPointerException` - If either identity or decoder is null.

    - #### SnmpReadListCommand

          public SnmpReadListCommand(Oid identity,
                             Decoder<D,SnmpField> decoder,
                             int maxRepetitions)
                              throws NullPointerException

      Creates a new SNMP unidirectional list command (Read-only attribute list).
      Parameters:
        `identity` - Command's identity.
        `decoder` - Command decoder used to map from modeled data to command execution format.
        `maxRepetitions` - Maximum number of repetitions.
      Throws:
        `NullPointerException` - If either identity or decoder is null.

Copyright © 2014. All Rights Reserved.